| Exiv2

Loading...
Searching...
No Matches
List of all members
Exiv2::ExifThumbC Class Reference

Access to a Exif thumbnail image. This class provides higher level accessors to the thumbnail image that is optionally embedded in IFD1 of the Exif data. These methods do not write to the Exif metadata. Manipulators are provided in subclass ExifThumb. More...

`#include <exif.hpp>`

Inheritance diagram for Exiv2::ExifThumbC:
[legend]

## Public Member Functions
Creators
| ExifThumbC (const ExifData &exifData)
| Constructor.

## Accessors
DataBuf | copy () const
| Return the thumbnail image in a DataBuf. The caller owns the data buffer and DataBuf ensures that it will be deleted.
size_t | writeFile (const std::string &path) const
| Write the thumbnail image to a file.
const char * | mimeType () const
| Return the MIME type of the thumbnail, either `"image/tiff"` or `"image/jpeg"`.
const char * | extension () const
| Return the file extension for the format of the thumbnail (".tif" or ".jpg").

## Detailed Description

Access to a Exif thumbnail image. This class provides higher level accessors to the thumbnail image that is optionally embedded in IFD1 of the Exif data. These methods do not write to the Exif metadata. Manipulators are provided in subclass ExifThumb.

Note
  Various other preview and thumbnail images may be contained in an image, depending on its format and the camera make and model. This class only provides access to the Exif thumbnail as specified in the Exif standard.

## Member Function Documentation

## ◆ writeFile()

size_t Exiv2::ExifThumbC::writeFile | ( | const std::string & | path | ) | const
| nodiscard

Write the thumbnail image to a file.

A filename extension is appended to path according to the image type of the thumbnail, so path should not include an extension. The function will overwrite an existing file of the same name.

Parameters

  path | File name of the thumbnail without extension.

Returns
  The number of bytes written.

References extension(), and mimeType().

The documentation for this class was generated from the following files:

- exif.hpp
- exif.cpp